import l from "./index-emotion-styled.browser.esm.js";
import { serializeStyles as i } from "./index-emotion-serialize.esm.js";
import { css as _, keyframes as S } from "./index-emotion-react.browser.esm.js";
import { default as g } from "./index-GlobalStyles3.js";
import { default as v } from "./index-StyledEngineProvider.js";
import { T as A } from "./index-emotion-element-8ce3e063.browser.esm.js";
function f(e, o) {
  const r = l(e, o);
  return process.env.NODE_ENV !== "production" ? (...t) => {
    const a = typeof e == "string" ? `"${e}"` : "component";
    return t.length === 0 || t.some((n) => n === void 0), r(...t);
  } : r;
}
const u = (e, o) => {
  Array.isArray(e.__emotion_styles) && (e.__emotion_styles = o(e.__emotion_styles));
}, s = [];
function c(e) {
  return s[0] = e, i(s);
}
export {
  g as GlobalStyles,
  v as StyledEngineProvider,
  A as ThemeContext,
  _ as css,
  f as default,
  u as internal_processStyles,
  c as internal_serializeStyles,
  S as keyframes
};
